/*
 * NouveauPompierForm.java
 */
package com.test.forms;

import bdd.PompierMysql;
import com.mysql.cj.util.StringUtils;
import com.test.beans.Pompier;
import jakarta.servlet.http.HttpServletRequest;
import java.util.Enumeration;

/**
 *
 * @author Clément B
 */
public class NouveauPompierForm {
    
    String message="";
    
    public int verifNouveauPompier(HttpServletRequest request) {
        
         
        // Contrôle car "<" dans les zones de texte
        //String [] lesSaisies = request.getParameterValues(noRueString); // Valeurs saisies
        Enumeration lesNoms = request.getParameterNames();        
        int erreur = 0;      
        while (erreur ==0 && lesNoms.hasMoreElements()) {
            Object paramObjet=lesNoms.nextElement();
            String param=(String)paramObjet;
            String value=request.getParameter(param);
            if (value.contains("<")) {
                message = "Veullez recommencer votre saisie, une anomalie sur une zone de saisie a été détectée ";
                erreur=1;
            }            
        }     
        if (erreur > 0) return -1;        
                
//        Creation d'un objet de type Pompier avec les données transmises
        Pompier unPompier = new Pompier(request.getParameter.("ztId"),
                                        request.getParameter("ztIdCaserne"),
                                        request.getParameter("ztNom"),
                                        request.getParameter("ztPrenom"),
                                        request.getParameter("ztStatut"),
                                        
                                        request.getParameter("ztTypePers"),
                                        request.getParameter("ztMail"),
                                        request.getParameter("ztLogin"),
                                        request.getParameter("ztMdp"),
                                        request.getParameter("ztAdresse"),
                                        request.getParameter("ztCp"),
                                        request.getParameter("ztVille"),
                                        request.getParameter("ztBip"),
                                        request.getParameter("ztNbGrade"),
                                        request.getParameter("ztCommentaire"),
                                        request.getParameter("ztDateEnreg"),
                                        request.getParameter("ztDateModif"),
                                        request.getParameter("ztIdEquipe"));
        PompierMysql cm = new PompierMysql();
        int idPompier = cm.createRP(unPompier);   // Requête préparée
        if (idPompier == -1) {
            message = "Erreur lors de la création du pompier";
        }
        return idPompier;      
        
    }

    public String getMessage() {
        return message;
    }
}
